상태 페이지

GET https://uptime4.com/api/status-pages/
curl --request GET \
--url 'https://uptime4.com/api/status-pages/' \
--header 'Authorization: Bearer {api_key}' \
매개변수 세부사항 설명
search 선택 사항 문자열 검색 문자열.
search_by 선택 사항 문자열 어떤 필드로 검색하고 있습니까? 허용되는 값은: name.
is_enabled 선택 사항 부울
project_id 선택 사항 정수
domain_id 선택 사항 정수
datetime_field 선택 사항 문자열 허용된 값: datetime, last_datetime
datetime_start 선택 사항 문자열 Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end 선택 사항 문자열 Filter results up to this datetime. Y-m-d H:i:s format.
order_by 선택 사항 문자열 결과를 정렬할 필드. 허용되는 값은: status_page_id, datetime, last_datetime, name, pageviews.
order_type 선택 사항 문자열 결과의 정렬. 허용되는 값은 ASC로 오름차순 정렬, DESC로 내림차순 정렬입니다.
page 선택 사항 정수 결과를 원하는 페이지 번호입니다. 기본값은 1입니다.
results_per_page 선택 사항 정수 페이지당 원하는 결과 수는 얼마입니까? 허용되는 값은: 10, 25, 50, 100, 250, 500, 1000. 기본값은 25입니다.
{
    "data": [
        {
            "id": 1,
            "domain_id": 0,
            "monitors_ids": [1,2,3],
            "project_id": 0,
            "url": "example",
            "full_url": "https://uptime4.com/s/example/",
            "name": "Example",
            "description": "This is just a simple description for the example status page 👋.",
            "socials": {
                "facebook": "example",
                "instagram": "example",
                "twitter": "example",
                "email": "",
                "website": "https://example.com/"
            },
            "logo_url": "",
            "favicon_url": ""
            "password": false,
            "timezone": "UTC",
            "custom_js": "",
            "custom_css": "",
            "pageviews": 50,
            "is_se_visible": true,
            "is_removed_branding": false,
            "is_enabled": true,
            "datetime": "2026-04-21 02:08:59",
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://uptime4.com/api/status-pages?page=1",
        "last": "https://uptime4.com/api/status-pages?page=1",
        "next": null,
        "prev": null,
        "self": "https://uptime4.com/api/status-pages?page=1"
    }
}
GET https://uptime4.com/api/status-pages/{status_page_id}
curl --request GET \
--url 'https://uptime4.com/api/status-pages/{status_page_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "domain_id": 0,
        "monitors_ids": [1,2,3],
        "project_id": 0,
        "url": "example",
        "full_url": "https://uptime4.com/s/example/",
        "name": "Example",
        "description": "This is just a simple description for the example status page 👋.",
        "socials": {
            "facebook": "example",
            "instagram": "example",
            "twitter": "example",
            "email": "",
            "website": "https://example.com/"
        },
        "logo_url": "",
        "favicon_url": ""
        "password": false,
        "timezone": "UTC",
        "custom_js": "",
        "custom_css": "",
        "pageviews": 50,
        "is_se_visible": true,
        "is_removed_branding": false,
        "is_enabled": true,
        "datetime": "2026-04-21 02:08:59",
    }
}